! -----------------------------------------------------------  !
     subroutine x_riflg_c(msgtype,nproc,tids)
! ------------------------------------------------------------ !
! Purpose:
! --  wait for notice of initialization from nodes

      implicit none

      include 'fpvm3.h'
      integer :: i
      integer :: igo
      integer :: info
      integer :: msgtype
      integer :: nproc
      integer :: who
      integer, dimension(0:32) :: tids

      igo = 1
      do i=1,nproc
         call pvmfinitsend( PVMDEFAULT, info )
         call pvmfpack( INTEGER4, igo, 1, 1, info )
         call pvmfsend( tids(i-1), msgtype, info )

         call pvmfrecv( -1, msgtype, info )
         call pvmfunpack( INTEGER4, who, 1, 1, info )
         write(1,*) 'who=',who
      enddo
      end 
